Bug 95272 - Fixed line spacing works incorrectly in Impress and Draw
Summary: Fixed line spacing works incorrectly in Impress and Draw
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-23 08:39 UTC by bellgardt
Modified: 2019-12-05 14:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Impress file showing the bug (24.94 KB, application/vnd.oasis.opendocument.presentation)
2015-10-23 08:39 UTC, bellgardt
Details
Writer file for comparison (12.56 KB, application/vnd.oasis.opendocument.text)
2015-10-23 08:41 UTC, bellgardt
Details
Reproduction test 1 (21.24 KB, application/vnd.oasis.opendocument.presentation)
2015-10-23 20:28 UTC, Bookman900
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bellgardt 2015-10-23 08:39:39 UTC
Created attachment 119899 [details]
Impress file showing the bug

In Impress and Draw the paragraph attribute "fixed line spacing" dos not work correctly. When sub- or superscripts are contained in the line the line spacing is increased and not kept on the preset fixed value.

In this way it is impossible to have a clean and regular layout for presentations.
Comment 1 bellgardt 2015-10-23 08:41:28 UTC
Created attachment 119900 [details]
Writer file for comparison
Comment 2 Bookman900 2015-10-23 20:28:21 UTC
Created attachment 119914 [details]
Reproduction test 1
Comment 3 Bookman900 2015-10-23 20:28:52 UTC
Hi bellgardt!

I've tried to reproduce the bug. Seems to be that this is not a problem, because Impress is aimed at presentations, so line spacings while having Upper-case symbols tend to be "normal".

You can see my file. I received the described problem only for Upper-case symbols, for Lower-case ones -- nope. For me it's okay.

But on slide #2 & #4 I received another problem: when exporting from Writer the upper-case symbols become...middle-case :)


---------------
Linux Mint 17.2 x86.
LibreOffice "Still" 4.4.3.2
Comment 4 Bookman900 2015-10-23 20:47:03 UTC
O.K., I've done some tests.

It seems to be the fact that it doesn't reproduce on my clients (Linux/MacOSX)

I've checked versions:

-- 4.4.3.2
-- 4.4.5.2
-- 5.1.0.0-alpha.

The "problem" with lower-case symbols "exist", but this is not a bug. It's a way to emphasize the lower-case symbols. So a bit of spacing will be made.

I advice you to clear the formatting style of Writer and then export to Impress.
Comment 5 bellgardt 2015-10-26 08:26:48 UTC
Hi,

I strongly disagree with your opinion. The observed behavior in Impress totally different from what is expected for fixed. Fixed means the line spacing is keep at the value you are setting in the paragraph dialog box and is not dependent of the content of the text or some character size and position. This fixed option is available in Impress, and the observed behavior is different from that and from what is described in the help. So, consequently it is a bug. If I really want the present behavior I can choose another line spacing option.

Second: I am not talking about upper-case and lower-case letters but about superscripts and subscripts. Please don't mix that. If you did your test carefully you would find that the change in line spacing also appears for superscripts, as clearly shown in my sample document. In your example, please increase the vertical position and/or size of the superscript and you will see the same effect as for subscripts.

Third: Any software should do what the user want and not the program decides what should be emphasized or not. I am working professionally with presentations for many years. So, don't tell me how presentations should look, please. 

I added that sample from writer only to demonstrate the correct rendering of "fixed line spacing". If I create the same text in Impress from scratch it should look the same.
Comment 6 Bookman900 2015-10-26 09:05:14 UTC
(In reply to bellgardt from comment #5)
> Hi,
> 
> I strongly disagree with your opinion. The observed behavior in Impress
> totally different from what is expected for fixed. Fixed means the line
> spacing is keep at the value you are setting in the paragraph dialog box and
> is not dependent of the content of the text or some character size and
> position.

Sorry, but this point is unclear. DO you men here "registration"?

One of the problems in your ticket is that you do not reproduce textually what you are doing. You should remember that the community is multi-lingual, and "fixed line spacing" seems to have variations in language packs. Moreover, it not clear which fix do you want? "Registration"? "Not adding space between paragraphs of different styles"?

F.e. "registration" is not included in Impress, so you won't expect the "fixes line spacing". Then, in Impress two ways of adding space are used: via adding text in F2, or using a template.  The "registration" is added to Writer, but Writer is different from Impress (like Word is different from PowerPoint) as they serve for different purposes. In Impress you are expected to present better viewing; in Writer -- better typogrpahical quality of the text.

I cannot help you with reproductions until you write the particular dialog box, particular button and the steps you did. Please, feel free to add these steps, or otherwise your ticket will not be accepted by QA team, as the idea is still unclear.
Comment 7 Bookman900 2015-10-26 09:42:54 UTC
>In your example,
> please increase the vertical position and/or size of the superscript and you
> will see the same effect as for subscripts.

I did it now. By upper-case symbols I meant actually "superscripts". May be my English matters here.

Increasing the line intervals and highlighting the text -- yeah, I noticed that there are slightly different spaces here. Besides, I tried to reproduce in Powerpoint and understood your problem. So Now it became clearer what you meant.
For subscripts there are the same problems. For superscripts -- nope, everything is clear.

So the bug seems to exist in all versions.
Comment 8 Buovjaga 2015-10-26 10:48:38 UTC
I'll set to NEW, then.
Comment 9 bellgardt 2015-10-27 10:42:05 UTC
(In reply to Bookman900 from comment #6)
> Sorry, but this point is unclear. DO you men here "registration"?

As I understand and described in the help text of Writer, registration is concerned with absolute positioning of text lines on the document page. That is not what I mean. 

> One of the problems in your ticket is that you do not reproduce textually
> what you are doing. You should remember that the community is multi-lingual,
> and "fixed line spacing" seems to have variations in language packs.
> Moreover, it not clear which fix do you want? "Registration"? "Not adding
> space between paragraphs of different styles"?

Fixed line spacing means, the distance of the base line of one line and the following line is always kept on a given fixed value, independent of any content of the text line (character size, subscript and superscripts an so on). To enable this behaviour I go to Format->Paragraph... or Right-Click->Paragraph.. and choose "Line spacing" as "fixed" at the bottom of the dialog. In Writer this does what it should do, In Impress and Draw it doesn't work if there are subscripts or superscript in the line. But the fixed-attribute seems to work with respect to character size. This can be seen in my sample document containing a big "a" in one line without increasing line spacing.
Comment 10 bellgardt 2015-10-27 11:51:39 UTC
(In reply to Bookman900 from comment #7)
> For subscripts there are the same problems. For superscripts -- nope,
> everything is clear.
To see the bug for superscripts more clearly the superscript position must be increased as in my sample file. To do this got to Format->Character, on the Position-tab select superscript and increase the "Raise/lower by" and/or "Relative font size" values.
Comment 11 QA Administrators 2016-11-08 11:56:58 UTC Comment hidden (obsolete)
Comment 12 bellgardt 2016-11-09 09:39:22 UTC
(In reply to QA Administrators from comment #11)
In Version 5.2.2.2 (32 bit), Build-ID 8f96e87c890bf8fa77463cd4b640a2312823f3ad the bug looks still the same as before. Tested on Windows 7 64-bit.
Comment 13 QA Administrators 2017-11-10 08:03:14 UTC Comment hidden (obsolete)
Comment 14 bellgardt 2017-11-10 13:32:53 UTC
The bug still exists in Version: 5.4.3.2 (32 bit)

Build-ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU-Threads: 4; System:Windows 6.1 (64 bit); 
UI-Render: Standard; de-DE (de_DE); Calc: CL
Comment 15 QA Administrators 2018-11-11 03:47:46 UTC Comment hidden (obsolete)
Comment 16 bellgardt 2018-11-12 10:29:25 UTC
The bug still exists in Version: 6.1.2.1 
Build-ID: 65905a128db06ba48db947242809d14d3f9a93fe
Comment 17 hardy 2019-10-14 18:14:51 UTC
This bug seems to be a DUPLICATE of the (also long standing) bug #80194.

Nevertheless I hope it will some time evetually be fixed (I think I first reported it 10 years ago to the OpenOffice bug tracker...)